Bug 739203 - EC2_GAHP fails to scale.
Summary: EC2_GAHP fails to scale.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor
Version: 2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: 2.1
: ---
Assignee: Timothy St. Clair
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: 743350
TreeView+ depends on / blocked
 
Reported: 2011-09-16 19:00 UTC by Timothy St. Clair
Modified: 2012-01-23 17:29 UTC (History)
3 users (show)

Fixed In Version: condor-7.6.4-0.4
Doc Type: Bug Fix
Doc Text:
Previously, when multiple instances of EC2 GAHP (Elastic Compute Cloud Grid ASCII Helper Protocol) clients were started, both instances leaked their file descriptor. This bug has been fixed and the ec2_gahp utility now scales properly.
Clone Of:
Environment:
Last Closed: 2012-01-23 17:29:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0045 normal SHIPPED_LIVE Red Hat Enterprise MRG Grid 2.1 bug fix and enhancement update 2012-01-23 22:22:58 UTC
Condor 2447 None None None Never

Description Timothy St. Clair 2011-09-16 19:00:11 UTC
Description of problem:
https://condor-wiki.cs.wisc.edu/index.cgi/tktview?tn=2447

Comment 2 Timothy St. Clair 2011-09-23 19:05:44 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: Starting multiple instances
C: Leaks file descriptor
F: Close the leaking file descriptors
R: EC2Gahp scales cleanly

Comment 5 Tomas Capek 2011-11-16 14:31:59 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1 @@
-C: Starting multiple instances
+Previously, when multiple instances of EC2 GAHP (Elastic Compute Cloud Grid ASCII Helper Protocol) clients were started, both instances leaked their file descriptor. This bug has been fixed and the ec2_gahp utility now scales properly.-C: Leaks file descriptor
-F: Close the leaking file descriptors
-R: EC2Gahp scales cleanly

Comment 6 Luigi Toscano 2011-12-05 14:31:50 UTC
The leak has been removed (a set of long-running VMs, lsof does not show up anymore a increasing list of open access/secretkey files).

Verified on RHEL5.7/6.2, i386/x86_64 as submitter machines for long-running EC2/b jobs.

Comment 7 Luigi Toscano 2011-12-05 14:37:37 UTC
Verified on:

condor-7.6.5-0.8
condor-classads-7.6.5-0.8

Comment 8 errata-xmlrpc 2012-01-23 17:29:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0045.html


Note You need to log in before you can comment on or make changes to this bug.